Name:          lrzip
Version:       0.630
Release:       1mamba
Summary:       is a compression program optimised for large files
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      openmamba WebBuild System <webbuild@openmamba.org>
URL:           http://ck.kolivas.org/apps/lrzip/
Source:        http://ck.kolivas.org/apps/lrzip/lrzip-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
## note: run 'autospec -u -a6 lrzip' to get the list of build requirements.
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
lrzip is a compression program optimised for large files. The larger the file and the more memory you have, the better the compression advantage this will provide, especially once the files are larger than 100MB. The advantage can be chosen to be either size (much smaller than bzip2) or speed (much faster than bzip2).

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/lrunzip
%{_bindir}/lrz*
%{_mandir}/man*/*.gz

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/liblrzip.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/Lrzip.h
%{_libdir}/liblrzip.a
%{_libdir}/liblrzip.la
%{_libdir}/liblrzip.so
%{_libdir}/pkgconfig/lrzip.pc
%dir %{_docdir}/lrzip
%{_docdir}/lrzip/*

%changelog
* Sat Jun 18 2016 Automatic Build System <autodist@mambasoft.it> 0.630-1mamba
- automatic version update by autodist

* Sat Mar 21 2015 Automatic Build System <autodist@mambasoft.it> 0.621-1mamba
- automatic version update by autodist

* Mon Mar 09 2015 Automatic Build System <autodist@mambasoft.it> 0.620-1mamba
- automatic version update by autodist

* Mon Sep 09 2013 Automatic Build System <autodist@mambasoft.it> 0.616-1mamba
- automatic version update by autodist

* Mon Sep 02 2013 Automatic Build System <autodist@mambasoft.it> 0.615-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 openmamba WebBuild System <webbuild@openmamba.org> 0.614-1mamba
- package created by autospec
